Subject: bug#25276: 11.89.8; xetex engine not work when master filename contains space

From: Qiang Yin <[email-masked]>
Date: Tue, 27 Dec 2016 15:52:36 +0800

I test the example "foo bar.tex" on Debian with Emacs 24.4.

When run "M-: (shell-quote-argument （TeX-master-file)) RET" on "foo 
bar.tex",it returns "foo\\ bar";
and run the same command on "foo.tex" it returns "foo".

Cheers,
Qiang

On 2016/12/27 2:28, Qiang Yin wrote:
> Hi Mosè,
>
> Maybe it's better to use the default engine at this moment. Hope someone
> with a Windows box can reproduce the problem and locate the bug.
>
> Thank you for the help anyway :)
>
> Best,
> Qiang
>
> On 2016/12/27 2:16, Mosè Giordano wrote:
>> 2016-12-26 18:59 GMT+01:00 Qiang Yin <[email-masked]>:
>>> Hi Mosè,
>>>
>>> 1. When run on "foo bar.tex" it returns "\"foo bar\"".
>>> 2. When run on "foo.tex" it returns "\"foo\"".
>>
>> Thank you.  I cannot tell what's the difference and why it works in
>> one case but not in the other.  Sorry, I don't think I can personally
>> do much on this, without a Windows box.
>>
>> Bye,
>> Mosè
>>